@import url("https://fonts.googleapis.com/css2?family=Inconsolata:wght@400;900&family=Raleway:wght@400;900&display=swap");

:root {
  --ff-primary: "Raleway", sans-serif;
  --ff-secondary: "Inconsolata", monospace;

  --dark: #333;
  --light: #fff;
  --accent: #333;

  --fw-reg: 300;
  --fw-bold: 900;

  --fs-h1: 3rem;
  --fs-h2: 2.25rem;
  --fs-h3: 1.25rem;
  --fs-body: 1rem;

  --bs: 0.25em 0.25em 0.75em rgba(0, 0, 0, 0.25),
    0.125em 0.125em 0.25em rgba(0, 0, 0, 0.15);
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  background: var(--light);
  color: var(--dark);
  font-family: var(--ff-primary);
  font-size: var(--fs-body);
  margin: 0;
  line-height: 1.6;
}

html {
  scroll-behavior: smooth;
}

section {
  text-align: center;
  padding: 5em 2em;
}

img {
  display: block;
  max-width: 100%;
}

a {
  text-decoration: none;
}

a,
a:visited,
a:hover,
a:active {
  color: inherit;
}

ul {
  list-style: none;
}

.btn {
  display: inline-block;
  padding: 0.5em 2.5em;
  background: var(--light);
  color: var(--dark);
  text-decoration: none;
  cursor: pointer;
  font-size: 0.8rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: var(--fw-bold);
  transition: transform 200ms ease-in-out;
  border-radius: 5px;
  margin-bottom: 2rem;
}

.btn-dark {
  background: var(--dark);
  color: var(--light);
  display: block;
  margin: 0 auto;
}

.btn:hover {
  transform: scale(1.1);
}

.container {
  width: 90%;
  max-width: 1000px;
  margin: 0 auto;
  text-align: left;
}

.center {
  text-align: center;
}

.dark {
  background: var(--dark);
  color: var(--light);
}

.sm-padding {
  padding: 1rem;
}

/* Typography */

h1,
h2,
h3 {
  line-height: 1;
  margin: 0;
}

h1 {
  font-size: var(--fs-h1);
}

h2 {
  font-size: var(--fs-h2);
}

h3 {
  font-size: var(--fs-h3);
}

.menu-item {
  font-size: var(--fs-h3);
  font-family: var(--ff-secondary);
  font-weight: var(--fw-bold);
}

.section-title {
  margin-bottom: 0.5em;
}

.subtitle-about {
  font-family: var(--ff-secondary);
  font-size: var(--fs-h3);
  background-color: var(--dark);
  color: var(--light);
  margin-bottom: 1em;
  padding: 0.25em 1em;
}

/* Navbar */

.container-header {
  display: flex;
  justify-content: space-between;
  position: relative;
}

.logo {
  padding: 1rem;
  min-width: 150px;
}

.hamburger {
  cursor: pointer;
}
.hamburger:after {
  content: "|||";
  letter-spacing: 2px;
  font-size: var(--fs-h2);
  transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  /* IE 9 */
  -webkit-transform: rotate(-90deg);
  /* Safari and Chrome */
  width: 30px;
  height: 30px;
  display: inline-block;
  position: absolute;
  right: 25px;
  top: 30px;
}

.menu {
  list-style: none;
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  background: #fff;
  width: 100%;
  height: 100%;
  padding: 30px;
}

.menu-item a {
  text-decoration: none;
}

.menu-item a:hover {
  opacity: 0.6;
  text-decoration: none;
}

@media (min-width: 720px) {
  .menu {
    display: flex;
    position: relative;
    flex-direction: row;
  }

  .menu-item + .menu-item {
    margin-left: 2em;
  }

  .hamburger {
    display: none;
  }
  .menu-item:hover {
    opacity: 0.6;
  }
}

/* main */

.main {
  max-width: 1000px;
  margin: 0 auto;
}

/* About me */

@media (min-width: 720px) {
  .top {
    display: grid;
    width: min-content;
    margin: auto;
    column-gap: 1em;
    grid-template-areas:
      "img title"
      "img subtitle";
    grid-template-columns: min-content max-content;
    align-items: end;
  }

  .top img {
    grid-area: img;
    min-width: 250px;
    position: relative;
    z-index: 2;
    box-shadow: var(--bs);
    margin-bottom: 1em;
  }

  .subtitle-about {
    align-self: start;
    grid-column: -1 / 1;
    grid-row: 2;
    text-align: right;
    position: relative;
    left: -4.5em;
    width: calc(100% + 4.5em);
  }
}

/* CV */

.container-cv {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (min-width: 720px) {
  .container-cv {
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
  }
  .container-cv .left {
    width: 45%;
  }

  .container-cv .right {
    width: 45%;
  }
}

.cv-section-title {
  margin-bottom: 1.5em;
  margin-top: 1.5em;
}

.cv-section-title::after {
  content: "";
  display: block;
  width: 90%;
  height: 2px;
  margin-top: 0.1em;
  background: var(--light);
}

.cv-item-title {
  font-size: var(--fs-h3);
  font-family: var(--ff-secondary);
}

.project-title {
  margin: 1rem 0 1em;
}

.cv-item-subtitle {
  font-family: var(--ff-secondary);
  font-size: 1.1rem;
  position: relative;
}

.cv-item-subtitle span {
  position: absolute;
  right: 1.5rem;
}

.cv-item-title {
  position: relative;
}

.rating {
  font-size: 0.8rem;
  position: absolute;
  right: 1.5rem;
}

.visible-nodes {
  list-style: circle;
}

/* Projects */

.container-projects::after {
  content: "";
  display: block;
  width: 60%;
  margin: 0 auto;
  height: 2px;
  background: var(--dark);
}

.project {
  margin-bottom: 5rem;
}

/* Contact */

.contact-list li {
  margin-top: 2rem;
  font-family: var(--ff-secondary);
  font-size: var(--fs-h3);
}

.contact-list i {
  margin-right: 1em;
}

.contact-list a:hover {
  opacity: 0.6;
}

/* Footer */

footer {
  text-align: center;
  padding: 2rem;
  background: #111;
  color: var(--light);
}
